=== debian/control ===
Source: ros-galactic-ament-uncrustify
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ament-uncrustify
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-galactic-uncrustify-vendor, ros-galactic-ros-workspace
Description: The ability to check code against style conventions using uncrustify and generate xUnit test result files.
